Subject: bug#49592: 28.0.50; lisp-current-defun-name and non-standard defuns

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 09 Aug 2022 17:29:46 +0200

Michael Heerdegen <[email-masked]> writes:

> Should we make the "fall back: display the name of the first symbol
> after opening paren" case look different from the standard case?
>
> For which-func display in the mode-line I'd find "(progn ...)" nice,
> but I guess that would not be suitable for the "add-log" case.

Ah, I'd forgotten -- yes, that'd look better, but we'd have to rearrange
the calling sequence a bit since, as you say, we don't want that in the
add-log case.

Or perhaps we could add a hack like adding a text property to the string
to let which-func know that it should wrap the result in "( ...)"?